<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pinktouch</title>
    <script src="vue.global.js"></script>
    <link rel="stylesheet" href="style.css">
    <link rel="icon" href="./imagens/icon.png" type="imagens">
</head>
<body>
    
    <!-- <div>
        <header id="app">
            <input type="checkbox" id="menuHamb" v-model="mostrarMenu">
            <label for="menuHamb"class="menuBotao">
                <span class="hamburguer"></span>
            </label>
            <ul class="menu" :class="{'open': mostrarMenu}">
                <li><a href="#poster">Home</a></li>
                <li><a href="#home">Ùltimas matérias</a></li>
                <li><a href="#filmao">Novidades</a></li>
                <li><a href="#cadastro">Cadastro</a></li>
            </ul>
        </header>
    </div> -->

    <nav class="menu">
        <input type="checkbox" class="menu-faketrigger" />

        <div class="menu-lines">
            <span></span>
            <span></span>
            <span></span>
        </div>
        <ul>
            <li><a href="#poster">Home</a></li>
            <li><a href="#home">Ultimas materias</a></li>
            <li><a href="#filmao">Novidades</a></li>
            <li><a href="#cadastro">Login</a></li>
        </ul>
    </nav>
    

    </section>
    <div class="poster">
            <img src="./imagens/xuxu.png">
    </div>

    <section id="home">
        <h2>Pinktouch</h2>
        <br>    
        <p1>Bem-vindo ao nosso blog dedicado à Barbie, o lugar perfeito para todos os entusiastas
            dessa boneca criadora! Neste site você fica atualizado com as últimas novidades e lançamentos 
            relacionados à Barbie. Descubra em primeira mão as edições limitadas e as parcerias exclusivas 
            que tornam cada lançamento da Barbie especial. Nossa lista de matérias abrange uma variedade de 
            temas que prometem encantar tanto crianças quanto adultos. 
            Além do recurso de ficar por dentro de muitas novidades, aqui você pode também ser um criador de 
            conteúdo, contribuindo com o blog a partir de uma incrição rápida no site. Venha conferir!
            </p1>
    </section>

    <section id="materias">
        <h4>A barbie mais cara do mundo:</h4>
        <br><br>
        <div class="materia">
            <br>
            <h3>Olá Meninas!!</h3>
            <br>
            <p>Hoje vamos falar da Barbie mais cara do mundo. Stefano Canturi desenhou a boneca em 2007 e tem um
            valor atual de US$ 302.000. Vendida em leilão de Christie em outubro de 2010, todos os rendimentos 
            foram doados para Breast Cancer Research Foundation. A Barbie apresenta diamantes rosa australianos 
            raros, pesando 1 quilate de uma esmeralda especial de corte de diamante e um colar de valor de 
            US$ 300.000. A peça do pescoço dela tem diamantes brancos, pesando 3 quilates e também apresenta um 
            anel de diamante rosa em sua mão.</p>
            <br><br>
            <div class="imagem">
                <img src="./imagens/barbie cara.webp" onmouseover="trocarImagem(this, './imagens/barbie cara 2.jpg')" onmouseout="trocarImagem(this, './imagens/barbie cara.webp')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
        </div>

        <div>
            <h4>Top 4 melhores filmes da Barbie:</h4>
            <br><br>
            <section class="materia">  
            <br><br>
            <h1>1°</h1>
            <br>
            <div class="imagem">
                <img src="./imagens/lago.png" onmouseover="trocarImagem(this, './imagens/lago 2.jpg')" onmouseout="trocarImagem(this, './imagens/lago.png')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
            <h3>Barbie em Lago dos cisnes</h3>
            <p>30 de setembro de 2003</p>
            <br><br><br>

            <h1>2°</h1>
            <br>
            <div class="imagem">
                <img src="./imagens/sereia.jpg" onmouseover="trocarImagem(this, './imagens/sereia 9.jpg')" onmouseout="trocarImagem(this, './imagens/sereia.jpg')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
            <h3>Barbie em Vida de sereia</h3>
            <p>2 de março de 2010</p>
            <br><br><br>
            <h1>3°</h1>
            <br>
            <div class="imagem">
                <img src="./imagens/ilha.png" onmouseover="trocarImagem(this, './imagens/ilha 2.jpg')" onmouseout="trocarImagem(this, './imagens/ilha.png')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
            <h3>Barbie em A princesa da ilha</h3>
            <p>18 de setembro de 2007</p>
            <br><br><br>
            <h1>4°</h1>
            <br>
            <div class="imagem">
                <img src="./imagens/plebeia.jpg" onmouseover="trocarImagem(this, './imagens/plebeia 2.jpg')" onmouseout="trocarImagem(this, './imagens/plebeia.jpg')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
            <h3>Barbie em A princesa e a plebeia</h3>
            <p>28 de setembro de 2004</p>
            <br>
        </div>

        <h4>O primeiro filme da barbie:</h4>
        <br><br>
        <div class="materia">
            <h3>Olá meninas!!</h3>
            <br>
            <p> Dia 9 foi aniversário da Barbie, ela fez 58 anos. Então resolvi  fazer um post
            sobre o primeiro filme da Barbie. Muita gente acha que o primeiro filme foi Barbie em O Quebra Nozes
            de 2001, mas não foi. O primeiro mesmo.. foi Barbie a estrela do Rock de 1987. Claro que o filme 
            naquela época era tosquinho, sem um enfeito bonito, não tinha a qualidade que nós vemos hoje nos 
            filmes da Barbie. Mas sei que vocês estão curiosas para ver algo do filme, então fiquem com essa imagem
            da sua capa.</p>
            <br><br><br>
            <div class="imagem">
                <img src="./imagens/barbie roqueira.jpg" onmouseover="trocarImagem(this, './imagens/rock.jpg')" onmouseout="trocarImagem(this, './imagens/barbie roqueira.jpg')">
                <script>
                    function trocarImagem(elemento, novaImagem) {
                    elemento.src = novaImagem}
                </script>
            </div>
            <br>
        </div>  
    </section>
    <br>





    <div id="filmao">
        <div id="tira">
            <img src="imagens/tirinha.jpg">
        </div>
        <br><br><br>
        <h7>Sinopse:</h7>
        <br><br>
        <h5>No mundo mágico das Barbies, “Barbieland”, uma das bonecas começa a perceber 
        que não se encaixa<br> como as outras. Depois de ser expulsa, ela parte para uma aventura no 
        “mundo real”, onde descobre que a beleza<br> está no interior de cada um.
        Do que se trata Barbie? Barbie é um filme live action inspirado na icônica <br>coleção 
        de bonecas da Mattel. A história se passará no mundo mágico chamado Barbieland. Tudo começa 
        quando <br> uma das bonecas sente que não se encaixa nos padrões daquele lugar, e acaba sendo 
        expulsa de lá. <br><br>A partir daí, ela embarca em uma jornada no mundo real, descobrindo que padrões 
        não devem existir, e a <br>verdadeira beleza está no interior de cada pessoa. <br>
        <br>Apesar de ser descrito como um filme de comédia, Barbie também trará uma carga dramática em
        sua história,<br> além de trabalhar com assuntos delicados como padrões de beleza impostos pela 
        sociedade. A expectativa é de que <br> diversas versões com visuais diferentes da boneca e de Ken 
        sejam apresentados, justamente para reafirmar <br> esse abordagem de diversidade.
        </h5>
        <br><br><br><br>
        <h8>Trailer:</h8>
        <br><br><br>
        <video autoplay>
            <source src="./imagens/trailer2.mp4" type="video/mp4">
        </video>
        
        <br><br><br>
        <img src="./imagens/pequena barbie.png">
    </div>

    <br><br><br>
    





    <img src="imagens/teste.jpeg">








    <section id="app">
        <div id="cadastro">
            <h1>Faça Login</h1>
            <form>
                <label for="usuario">Gmail:</label>
                <input type="text" v-model="usuario" required>
    
                <label for="senha">Senha:</label>
                <input type="password" v-model="senha">
    
                <button type="submit" @click.prevent="login2">Entrar</button>
            </form><!--Fechamento form-->
    
            <p v-if="userAdmin">
                <button @click="paginaCadastro">Cadastrados</button>
            </p>
    
            <h1>Cadastro de Novo Usuário</h1>
            <form>
                <label for="newUsername">Gmail:</label>
                <input type="text" v-model="newUsername" required>
    
                <label for="newPassword">Senha:</label>
                <input type="password" v-model="newPassword" required>
    
                <label for="confirmPassword">Confirmar Senha:</label>
                <input type="password" v-model="confirmPassword" required>
    
                <button type="submit" @click.prevent="adicionarUsuario">Cadastrar</button>
    
            </form><!--Fechamento form-->
    
            <p class="erro" :class="{entrada: mostrarEntrada}">{{erro}}</p>
            <p class="sucesso" :class="{entrada: mostrarEntrada}">{{sucesso}}</p>
    
        </div><!--Fechamento div principal-->
    </section>
        

    





    <br>
    <footer>
        <p>&copy; 2023 Pinktouch. Todos os direitos reservados.</p>
    </footer>
    <script src="process.js"></script>
</body>
</html>